/Users/bernard/b20/bsoft/src/bsurf.cpp(3)

NAME
/Users/bernard/b20/bsoft/src/bsurf.cpp - AFM image analysis and reconstruction.

SYNOPSIS

#include 'rwimg.h'
#include 'utilities.h'
#include 'options.h'
#include 'timer.h'

  Functions
int main (int argc, char **argv)

  Variables
int verbose
const char * use []

Detailed Description

AFM image analysis and reconstruction.

Author:
    Bernard Heymann

Date:
    Created: 19990124

    Modified: 20160604

Definition in file bsurf.cpp.

Function Documentation

  int main (int argc, char ** argv)

Definition at line 45 of file bsurf.cpp.

Variable Documentation

  const char* use[]
Initial value:

= {
" ",
"Usage: bsurf [options] input.tif output.map",
"--------------------------------------------",
"Calculates a 3D surface from an AFM image.",
" ",
"Actions:",
"-expand 10               Surface expansion: value = new z dimension.",
"-threshold 1.6,1         Calculate a 2D height image using this threshold",
"                         and direction: 0=bottom up, 1=top down.",
"-invert                  Invert inside & outside (default not).",
" ",
"Parameters:",
"-verbose 7               Verbosity of output.",
"-datatype u              Force writing of a new data type.",
"-positions 2.5,6.3       Z positions of surface minimum and maximum (angstrom).",
"-origin 0.8,-10,15.7     Set the origin (default from input image).",
"-sampling 1.5,1.5,1.5    Dimension scaling (default 1,1,1 A/pixel).",
"-resolution 0.5,2.3      Upper & lower sigma bounds (default 3.236,3.236).",
"-Density 0.74            Density within the surface (default 0.81 Da/A3).",
" ",
"Input:",
"-Stdev sd.map            Standard deviation map (default no map).",
" ",
NULL
}

Definition at line 18 of file bsurf.cpp.

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.